<?php 
/**
 * This is the basic "view" page for a project. Don't modify this. Instead, add tabs through extensions.js in this directory.
 */
$pageTitle='Project: '.$data['name'];
include realpath(__DIR__).'/../_common/header.php'; ?>
<script type="text/javascript"><?php include realpath(__DIR__).'/../../model/project/extensions.js'; ?></script>
<script type="text/javascript">

var isOwner=(parseInt(data['owner'])===parseInt(userId));
var canWriteInProject=<?php echo (in_array($data['id'], session::getUpdateProjects()))? 'true':'false'; ?>;

document.observe("dom:loaded",function(){

	
	ui.grid();
	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});
	var frm=detailsBox.form({
		action:'/api/project/'+data['id'],
	});
	var isSystem=1*data['issystem'];
	frm.textField({ label:"Name", name:'name', value:data['name'], readonly:(isSystem || (!isAdmin &&!isOwner)) });
	frm.textField({ label:"Description", name:'description', value:data['description'], readonly:(isSystem || (!isAdmin &&!isOwner)) });
	frm.roleField({
		readonly:!isAdmin && userId!=data.owner,
		label:"Owner", 
		name:'owner', 
		otherId:data.owner, 
		otherName:data.ownername, 
		otherType:'user',
		labelField:'fullname',
		headers:['Name'],
		cellTemplates:['{{fullname}}']
	});

	//TODO better handling of long text
	if(frm.down("#description")){
        frm.down("#description").style.width="70%";
    }

	
	if(!isAdmin && userId==data.owner){
		var btn=frm.down("input[name=owner]").up("label").down("input[type=button]");
		btn.observe("click",function(){
			alert("You can see and update this project because you are the owner. If you change the owner, "+ 
					"you may lose all rights on this project!\n\nIf you've just created the project and are "+
					"setting it up for someone else, make all your other changes before changing the project owner.");
		});
	}
	/*
	var archiveBox=grid.box({ 
		classes:'r3 c1 h1 w1',
		title:'Archive this project',
		content:'Not implemented yet. Archiving a project makes it (and everything in it) read-only. It also means items in the project will not be offered as suggestions, so archiving old projects makes the system easier to use.'
		
	});
	*/
	
	var ts=grid.tabSet({ classes:'r1 c2 h3 w2' });

	//see ../model/extensions.js
	projectExtensions.tabsBefore(ts);	

	ts.tab({ 
		id:'permissions', 
		label:'Permissions', 
		url:'/api/project/'+data['id']+'/permission', 
		successHandler:Permission.writePermissions
	 });

    ts.filesTab();
    ts.notesTab();

	//see ../model/extensions.js
	projectExtensions.tabsAfter(ts);	
	
});

function writePermissions(transport){
//    return Permission.writePermissions(transport);
}

</script>
<?php include realpath(__DIR__).'/../_common/footer.php'; ?>